<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFrameworks>net472;net48</TargetFrameworks>
        <AssemblyName>Raytheon.LogDashboardLib</AssemblyName>
        <RootNamespace>Raytheon.LogDashboard</RootNamespace>
        <Company>Raytheon Technologies</Company>
        <Product>Logging Dashboard Application</Product>
        <Authors>Specialty Engineering</Authors>
        <Copyright>Raytheon Technologies</Copyright>
        <GenerateResourceUsePreserializedResources>true</GenerateResourceUsePreserializedResources>
        <Version>1.3.10</Version>
        <AssemblyVersion>$(Version)</AssemblyVersion>
        <FileVersion>$(Version)</FileVersion>
        <UseWPF>true</UseWPF>
        <ApplicationIcon>Resources\LogDashboard.ico</ApplicationIcon>
        <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
    </PropertyGroup>

    <ItemGroup>
        <None Remove="Resources\Settings.png" />
    </ItemGroup>

    <ItemGroup>
        <Page Remove="Styles\DrawingImages.xaml" />
    </ItemGroup>

    <ItemGroup>
        <Content Include="Resources\LogDashboard.ico" />
    </ItemGroup>

    <ItemGroup>
        <Resource Include="Styles\DrawingImages.xaml" />
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="MahApps.Metro" Version="2.4.10" />
        <PackageReference Include="MahApps.Metro.Resources" Version="0.6.1" />
        <PackageReference Include="MvvmLight" Version="5.4.1.1" />
        <PackageReference Include="NLog" Version="5.0.0" />
        <PackageReference Include="Raytheon.Configuration" Version="2.6.1" />
        <PackageReference Include="System.Resources.Extensions" Version="8.0.0" />
        <PackageReference Include="WindowsAPICodePack-Shell" Version="1.1.1" />
    </ItemGroup>

    <ItemGroup>
        <Reference Include="PresentationCore" />
        <Reference Include="PresentationFramework" />
        <Reference Include="System.Deployment" />
        <Reference Include="System.Xml" />
        <Reference Include="System.Xml.Linq" />
        <Reference Include="System.Windows.Forms" />
        <Reference Include="System.Windows.Interactivity" />
        <Reference Include="System.ServiceModel" />
    </ItemGroup>

    <ItemGroup>
        <Compile Update="Resources\Resource1.Designer.cs">
            <DesignTime>True</DesignTime>
            <AutoGen>True</AutoGen>
            <DependentUpon>Resource1.resx</DependentUpon>
        </Compile>
    </ItemGroup>

    <ItemGroup>
        <Resource Include="Resources\Settings.png" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Update="Resources\Resource1.resx">
            <Generator>ResXFileCodeGenerator</Generator>
            <LastGenOutput>Resource1.Designer.cs</LastGenOutput>
        </EmbeddedResource>
    </ItemGroup>

    <ItemGroup>
        <None Update="ReleaseNotes.xml">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </None>
    </ItemGroup>



</Project>